org.eclipse.aether.repository

## Class LocalMetadataRequest

- java.lang.Object
- - org.eclipse.aether.repository.LocalMetadataRequest

-     public final class LocalMetadataRequest
      extends Object

  A query to the local repository for the existence of metadata.
  See Also:
    `LocalRepositoryManager.find(RepositorySystemSession, LocalMetadataRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMetadataRequest()` Creates an uninitialized query.
    `LocalMetadataRequest(Metadata metadata, RemoteRepository repository, String context)` Creates a query with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContext()` Gets the resolution context.
    `Metadata` | `getMetadata()` Gets the metadata to query for.
    `RemoteRepository` | `getRepository()` Gets the remote repository to use as source of the metadata.
    `LocalMetadataRequest` | `setContext(String context)` Sets the resolution context.
    `LocalMetadataRequest` | `setMetadata(Metadata metadata)` Sets the metadata to query for.
    `LocalMetadataRequest` | `setRepository(RemoteRepository repository)` Sets the remote repository to use as sources of the metadata.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMetadataRequest

          public LocalMetadataRequest()

      Creates an uninitialized query.

    - #### LocalMetadataRequest

          public LocalMetadataRequest(Metadata metadata,
                              RemoteRepository repository,
                              String context)

      Creates a query with the specified properties.
      Parameters:
        `metadata` - The metadata to query for, may be `null`.
        `repository` - The source remote repository for the metadata, may be `null` for local metadata.
        `context` - The resolution context for the metadata, may be `null`.

  - ### Method Detail

    - #### getMetadata

          public Metadata getMetadata()

      Gets the metadata to query for.
      Returns:
        The metadata or `null` if not set.

    - #### setMetadata

          public LocalMetadataRequest setMetadata(Metadata metadata)

      Sets the metadata to query for.
      Parameters:
        `metadata` - The metadata, may be `null`.
      Returns:
        This query for chaining, never `null`.

    - #### getContext

          public String getContext()

      Gets the resolution context.
      Returns:
        The resolution context, never `null`.

    - #### setContext

          public LocalMetadataRequest setContext(String context)

      Sets the resolution context.
      Parameters:
        `context` - The resolution context, may be `null`.
      Returns:
        This query for chaining, never `null`.

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the remote repository to use as source of the metadata.
      Returns:
        The remote repositories, may be `null` for local metadata.

    - #### setRepository

          public LocalMetadataRequest setRepository(RemoteRepository repository)

      Sets the remote repository to use as sources of the metadata.
      Parameters:
        `repository` - The remote repository, may be `null`.
      Returns:
        This query for chaining, may be `null` for local metadata.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2012 The Eclipse Foundation. All Rights Reserved.